package com.ruoyi.system.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author zhuqing
 * @Date 2022/8/4
 */
@ApiModel(value = "PcTDoctorQueryByPageResp", description = "医生分页查询反参实体")
public class PcTDoctorQueryByPageResp {

    /** ID */
    @ApiModelProperty("id")
    private Long id;

    /** 用户ID */
    @ApiModelProperty("用户ID")
    private Long userId;

    /** 编号 */
    @ApiModelProperty("编号")
    @Excel(name = "工作证号")
    private String identifier;

    /** 名称 */
    @ApiModelProperty("名称")
    @Excel(name = "名称")
    private String name;

    /** 电话 */
    @ApiModelProperty("电话")
    @Excel(name = "电话")
    private String phone;

    /** 用户性别（0男 1女 2未知） */
    @ApiModelProperty("用户性别（0男 1女 2未知） ")
    private String sex;

    /** 年龄 */
    @ApiModelProperty("年龄")
    private Integer age;

    /** 婚姻状态（0未婚 1已婚 2未知） */
    @ApiModelProperty("婚姻状态（0未婚 1已婚 2未知）")
    private String marriage;

    /** 职称 */
    @ApiModelProperty("职称")
    private String title;

    /** 专长 */
    @ApiModelProperty("专长")
    private String speciality;

    /** 简介 */
    @ApiModelProperty("简介")
    private String introduction;

    /** 职业医师照片路径 */
    @ApiModelProperty("职业医师照片路径base64")
    private String medicalLicense;

    @ApiModelProperty("职业医师照片路径base64")
    private String medicalLicense2;

    /** 二维码base64 */
    @ApiModelProperty("二维码base64")
    private String qrCode;

    /** 医院 */
    @ApiModelProperty("医院id")
    private Long hospitalId;

    /** 医院 */
    @ApiModelProperty("医院名称")
    private String hospitalName;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty("删除标志（0代表存在 2代表删除） ")
    private String delFlag;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    @Excel(name = "注册时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("患者个数")
    @Excel(name = "患者个数")
    private int countPatints;

    /** 最近一次就诊时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("最近一次就诊时间")
    @Excel(name = "最近一次就诊时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date latestTime;

    @ApiModelProperty("诊断次数")
    @Excel(name = "诊断次数")
    private int countRecords;

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public int getCountRecords() {
        return countRecords;
    }

    public void setCountRecords(int countRecords) {
        this.countRecords = countRecords;
    }

    public Date getLatestTime() {
        return latestTime;
    }

    public void setLatestTime(Date latestTime) {
        this.latestTime = latestTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getMarriage() {
        return marriage;
    }

    public void setMarriage(String marriage) {
        this.marriage = marriage;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSpeciality() {
        return speciality;
    }

    public void setSpeciality(String speciality) {
        this.speciality = speciality;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getMedicalLicense() {
        return medicalLicense;
    }

    public void setMedicalLicense(String medicalLicense) {
        this.medicalLicense = medicalLicense;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public int getCountPatints() {
        return countPatints;
    }

    public void setCountPatints(int countPatints) {
        this.countPatints = countPatints;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getMedicalLicense2() {
        return medicalLicense2;
    }

    public void setMedicalLicense2(String medicalLicense2) {
        this.medicalLicense2 = medicalLicense2;
    }

    @Override
    public String toString() {
        return "PcTDoctorQueryByPageResp{" +
                "id=" + id +
                ", userId=" + userId +
                ", identifier='" + identifier + '\'' +
                ", name='" + name + '\'' +
                ", phone='" + phone + '\'' +
                ", sex='" + sex + '\'' +
                ", age=" + age +
                ", marriage='" + marriage + '\'' +
                ", title='" + title + '\'' +
                ", speciality='" + speciality + '\'' +
                ", introduction='" + introduction + '\'' +
                ", medicalLicense='" + medicalLicense + '\'' +
                ", medicalLicense2='" + medicalLicense2 + '\'' +
                ", qrCode='" + qrCode + '\'' +
                ", hospitalId=" + hospitalId +
                ", delFlag='" + delFlag + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", countPatints=" + countPatints +
                ", latestTime=" + latestTime +
                ", countRecords=" + countRecords +
                '}';
    }
}
