package com.ruoyi.system.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author zhuqing
 * @Date 2022/8/4
 */
@ApiModel(value = "PcTPatientQueryByPageResp", description = "患者分页查询反参实体")
public class PcTPatientQueryByPageResp {

    /** ID */
    @ApiModelProperty("id")
    private Long id;

    /** 腾讯openid */
    @ApiModelProperty("腾讯openid")
    private String openId;

    /** 编号 */
    @ApiModelProperty("编号")
    @Excel(name = "档案号")
    private String identifier;

    /** 名称 */
    @ApiModelProperty("名称")
    @Excel(name = "名称")
    private String name;

    /** 电话 */
    @ApiModelProperty("电话")
    @Excel(name = "电话")
    private String phone;

    /** 用户性别（0男 1女 2未知） */
    @ApiModelProperty("用户性别（0男 1女 2未知）")
    @Excel(name = "用户性别（0男 1女 2未知）")
    private String sex;

    /** 年龄 */
    @ApiModelProperty("年龄")
    @Excel(name = "年龄")
    private Integer age;

    /** 身高 */
    @ApiModelProperty("身高")
    private Integer height;

    /** 体重 */
    @ApiModelProperty("体重")
    private Integer weight;

    /** 婚姻状态（0未婚 1已婚 2未知） */
    @ApiModelProperty("婚姻状态（0未婚 1已婚 2未知）")
    private String marriage;

    /** 基础疾病 */
    @ApiModelProperty("基础疾病")
    @Excel(name = "基础疾病")
    private String disease;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty("删除标志（0代表存在 2代表删除） ")
    private String delFlag;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    /** 最后一次就诊时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("最后诊断时间")
    @Excel(name = "最后诊断时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date latestTime;

    @ApiModelProperty("诊断次数")
    @Excel(name = "诊断次数")
    private int countRecords;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("初次就诊时间")
    @Excel(name = "初次就诊时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date firstTime;

    /** 基础疾病 */
    @ApiModelProperty("诊断医生")
    @Excel(name = "诊断医生")
    private String doctorName;

    /** 医院ID */
    @ApiModelProperty("医院ID")
    @Excel(name = "医院ID")
    private Long hospitalId;

    /** 医院名称 */
    @ApiModelProperty("医院名称")
    @Excel(name = "医院名称")
    private String hospitalName;

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getHeight() {
        return height;
    }

    public void setHeight(Integer height) {
        this.height = height;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public String getMarriage() {
        return marriage;
    }

    public void setMarriage(String marriage) {
        this.marriage = marriage;
    }

    public String getDisease() {
        return disease;
    }

    public void setDisease(String disease) {
        this.disease = disease;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getLatestTime() {
        return latestTime;
    }

    public void setLatestTime(Date latestTime) {
        this.latestTime = latestTime;
    }

    public int getCountRecords() {
        return countRecords;
    }

    public void setCountRecords(int countRecords) {
        this.countRecords = countRecords;
    }

    public Date getFirstTime() {
        return firstTime;
    }

    public void setFirstTime(Date firstTime) {
        this.firstTime = firstTime;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }
}
