package com.ruoyi.system.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value = "TRecordResp", description = "就诊记录分页查询反参实体")
public class TRecordResp
{
    /** ID */
    @ApiModelProperty("患者就诊记录id")
    private Long id;

    @Excel(name = "编号")
    @ApiModelProperty("编号")
    private String identifier;

    /** 名称 */
    @Excel(name = "患者名称")
    @ApiModelProperty("患者名称")
    private String patientName;

    /** 患者 */
    @ApiModelProperty("患者id")
    private Long patientId;

    @Excel(name = "医生名称")
    @ApiModelProperty("医生名称")
    private String doctorName;

    @Excel(name = "医院名称")
    @ApiModelProperty("医院名称")
    private String hospitalName;

    @Excel(name = "用户性别", readConverterExp = "0=男,1=女,2=未知")
    @ApiModelProperty("用户性别")
    private String sex;

    /** 年龄 */
    @Excel(name = "患者年龄")
    @ApiModelProperty("患者年龄")
    private Integer age;

    /** 基础疾病 */
    @Excel(name = "基础疾病")
    @ApiModelProperty("基础疾病")
    private String disease;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("初诊时间")
    private Date firstTime;

    /** 医生 */
    @ApiModelProperty("医生id")
    private Long doctorId;

    /** 医院 */
    @ApiModelProperty("医院id")
    private Long hospitalId;

    /** 状态（0预约 1就诊） */
    @Excel(name = "状态", readConverterExp = "0=预约,1=就诊")
    @ApiModelProperty("状态（0预约 1就诊）")
    private String status;

    /** ai诊断结果 */
    @Excel(name = "ai诊断结果")
    @ApiModelProperty("ai诊断结果")
    private String aiResult;

    /** ai诊断结果，无图片 */
    @Excel(name = "ai诊断结果，无图片")
    @ApiModelProperty("ai诊断结果，无图片")
    private String aiResult2;

    /** 医生诊断结果 */
    @Excel(name = "医生诊断结果")
    @ApiModelProperty("医生诊断结果")
    private String updateResult;

    /** 医生诊断结果，无图片 */
    @Excel(name = "医生诊断结果，无图片")
    @ApiModelProperty("医生诊断结果，无图片")
    private String updateResult2;

    /** 上传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上传时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("上传时间")
    private Date uploadTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("待诊时间")
    private Date waitingTime;

    /** 舌下 */
    @Excel(name = "舌下")
    @ApiModelProperty("舌下")
    private String imgSx;

    /** 舌上 */
    @Excel(name = "舌上")
    @ApiModelProperty("舌上")
    private String imgSm;

    /** 响应时长 */
    @Excel(name = "响应时长")
    @ApiModelProperty("响应时长")
    private Long responseTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("ai结果返回时间")
    private Date aiResultReturnTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("ai结果修改时间")
    private Date aiResultModifyTime;

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getPatientId()
    {
        return patientId;
    }

    public void setPatientId(Long patientId)
    {
        this.patientId = patientId;
    }

    public Long getDoctorId()
    {
        return doctorId;
    }

    public void setDoctorId(Long doctorId)
    {
        this.doctorId = doctorId;
    }

    public Long getHospitalId()
    {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId)
    {
        this.hospitalId = hospitalId;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getAiResult()
    {
        return aiResult;
    }

    public void setAiResult(String aiResult)
    {
        this.aiResult = aiResult;
    }

    public String getAiResult2()
    {
        return aiResult2;
    }

    public void setAiResult2(String aiResult2)
    {
        this.aiResult2 = aiResult2;
    }

    public String getUpdateResult()
    {
        return updateResult;
    }

    public void setUpdateResult(String updateResult)
    {
        this.updateResult = updateResult;
    }

    public String getUpdateResult2()
    {
        return updateResult2;
    }

    public void setUpdateResult2(String updateResult2)
    {
        this.updateResult2 = updateResult2;
    }

    public Date getUploadTime()
    {
        return uploadTime;
    }

    public void setUploadTime(Date uploadTime)
    {
        this.uploadTime = uploadTime;
    }

    public String getImgSx()
    {
        return imgSx;
    }

    public void setImgSx(String imgSx)
    {
        this.imgSx = imgSx;
    }

    public String getImgSm()
    {
        return imgSm;
    }

    public void setImgSm(String imgSm)
    {
        this.imgSm = imgSm;
    }

    public Long getResponseTime()
    {
        return responseTime;
    }

    public void setResponseTime(Long responseTime)
    {
        this.responseTime = responseTime;
    }

    public String getIdentifier()
    {
        return identifier;
    }

    public void setIdentifier(String identifier)
    {
        this.identifier = identifier;
    }

    public String getPatientName()
    {
        return patientName;
    }

    public void setPatientName(String patientName)
    {
        this.patientName = patientName;
    }

    public String getDoctorName()
    {
        return doctorName;
    }

    public void setDoctorName(String doctorName)
    {
        this.doctorName = doctorName;
    }

    public String getSex()
    {
        return sex;
    }

    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public Integer getAge()
    {
        return age;
    }

    public void setAge(Integer age)
    {
        this.age = age;
    }

    public String getDisease()
    {
        return disease;
    }

    public void setDisease(String disease)
    {
        this.disease = disease;
    }

    public Date getFirstTime()
    {
        return firstTime;
    }

    public void setFirstTime(Date firstTime)
    {
        this.firstTime = firstTime;
    }

    public Date getAiResultReturnTime()
    {
        return aiResultReturnTime;
    }

    public void setAiResultReturnTime(Date aiResultReturnTime)
    {
        this.aiResultReturnTime = aiResultReturnTime;
    }

    public Date getAiResultModifyTime()
    {
        return aiResultModifyTime;
    }

    public void setAiResultModifyTime(Date aiResultModifyTime)
    {
        this.aiResultModifyTime = aiResultModifyTime;
    }

    public Date getWaitingTime()
    {
        return waitingTime;
    }

    public void setWaitingTime(Date waitingTime)
    {
        this.waitingTime = waitingTime;
    }
}
