package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TDoctor;
import com.ruoyi.system.domain.req.PcTDoctorQueryByPageReq;
import com.ruoyi.system.domain.resp.AppDoctorResp;
import com.ruoyi.system.domain.resp.PcTDoctorQueryByPageResp;
import org.apache.ibatis.annotations.Param;

/**
 * 医生信息Mapper接口
 * 
 * @author ruoyi
 * @date 2022-08-03
 */
public interface TDoctorMapper 
{
    /**
     * 查询医生信息
     * 
     * @param id 医生信息主键
     * @return 医生信息
     */
    public TDoctor selectTDoctorById(Long id);

    public TDoctor selectTDoctorByPhone(String phone);

    public TDoctor selectTDoctorByUserId(Long userId);

    /**
     * 查询医生信息列表
     * 
     * @param tDoctor 医生信息
     * @return 医生信息集合
     */
    public List<TDoctor> selectTDoctorList(TDoctor tDoctor);

    /**
     * 新增医生信息
     * 
     * @param tDoctor 医生信息
     * @return 结果
     */
    public int insertTDoctor(TDoctor tDoctor);

    /**
     * 修改医生信息
     * 
     * @param tDoctor 医生信息
     * @return 结果
     */
    public int updateTDoctor(TDoctor tDoctor);

    /**
     * 修改医生信息
     *
     * @param tDoctor 医生信息
     * @return 结果
     */
    public int updateTDoctorByUserId(TDoctor tDoctor);

    /**
     * 删除医生信息
     * 
     * @param id 医生信息主键
     * @return 结果
     */
    public int deleteTDoctorById(Long id);

    /**
     * 批量删除医生信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDoctorByIds(Long[] ids);

    /**
     * 分页查询
     * @param pcTDoctorQueryByPageReq
     * @return
     */
    List<PcTDoctorQueryByPageResp> queryByPage(PcTDoctorQueryByPageReq pcTDoctorQueryByPageReq);

    /**
     * 查询此医生下病人数量
     * @param hospitalId
     * @param doctorId
     * @return
     */
    int queryPatintCountByDoctor(@Param("hospitalId")Long hospitalId, @Param("doctorId")Long doctorId);

    /**
     * 查询医生信息
     *
     * @param id 医生信息主键
     * @return 医生信息
     */
    public AppDoctorResp selectAppDoctorDetailById(Long id);

}
