package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TImageHistoryMapper;
import com.ruoyi.system.domain.TImageHistory;
import com.ruoyi.system.service.ITImageHistoryService;

/**
 * 图片记录历史Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-09-13
 */
@Service
public class TImageHistoryServiceImpl implements ITImageHistoryService 
{
    @Autowired
    private TImageHistoryMapper tImageHistoryMapper;

    /**
     * 查询图片记录历史
     * 
     * @param id 图片记录历史主键
     * @return 图片记录历史
     */
    @Override
    public TImageHistory selectTImageHistoryById(Long id)
    {
        return tImageHistoryMapper.selectTImageHistoryById(id);
    }

    /**
     * 查询图片记录历史列表
     * 
     * @param tImageHistory 图片记录历史
     * @return 图片记录历史
     */
    @Override
    public List<TImageHistory> selectTImageHistoryList(TImageHistory tImageHistory)
    {
        return tImageHistoryMapper.selectTImageHistoryList(tImageHistory);
    }

    /**
     * 新增图片记录历史
     * 
     * @param tImageHistory 图片记录历史
     * @return 结果
     */
    @Override
    public int insertTImageHistory(TImageHistory tImageHistory)
    {
        tImageHistory.setCreateTime(DateUtils.getNowDate());
        return tImageHistoryMapper.insertTImageHistory(tImageHistory);
    }

    /**
     * 修改图片记录历史
     * 
     * @param tImageHistory 图片记录历史
     * @return 结果
     */
    @Override
    public int updateTImageHistory(TImageHistory tImageHistory)
    {
        return tImageHistoryMapper.updateTImageHistory(tImageHistory);
    }

    /**
     * 批量删除图片记录历史
     * 
     * @param ids 需要删除的图片记录历史主键
     * @return 结果
     */
    @Override
    public int deleteTImageHistoryByIds(Long[] ids)
    {
        return tImageHistoryMapper.deleteTImageHistoryByIds(ids);
    }

    /**
     * 删除图片记录历史信息
     * 
     * @param id 图片记录历史主键
     * @return 结果
     */
    @Override
    public int deleteTImageHistoryById(Long id)
    {
        return tImageHistoryMapper.deleteTImageHistoryById(id);
    }
}
